cephadm: error looking up supplemental groups for container ca2...23: Unable to find group disk

03/11/2021 02:45 PM - Sebastian Wagner

Status: Rejected % Done: 0%

Priority: Low   

Assignee:    

Category: cephadm   

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2021-03-11T02:22:52.753 DEBUG:teuthology.orchestra.run.smithi155:> sudo /home/ubuntu/cephtest/ceph

adm --image quay.ceph.io/ceph-ci/ceph:409dc4b843da18e60e08a06ad16195db022fb227 shell -c /etc/ceph/

ceph.conf -k /etc/ceph/ceph.client.admin.keyring --fsid 4ed20244-8210-11eb-9080-001a4aab830c -- ce

ph orch host ls --format=json

2021-03-11T02:23:04.927 INFO:teuthology.orchestra.run.smithi155.stderr:Error: error looking up sup

plemental groups for container ca2233e555ae8ce7d36d0d9febddc59e395702db9da66664ca495315f6ccc323: U

nable to find group disk

2021-03-11T02:23:04.958 DEBUG:teuthology.orchestra.run:got remote process result: 126

2021-03-11T02:23:04.959 INFO:tasks.cephadm:Cleaning up testdir ceph.* files...

2021-03-11T02:23:04.960 DEBUG:teuthology.orchestra.run.smithi019:> rm -f /home/ubuntu/cephtest/see

d.ceph.conf /home/ubuntu/cephtest/ceph.pub

2021-03-11T02:23:04.967 DEBUG:teuthology.orchestra.run.smithi155:> rm -f /home/ubuntu/cephtest/see

d.ceph.conf /home/ubuntu/cephtest/ceph.pub

2021-03-11T02:23:04.974 INFO:tasks.cephadm:Stopping all daemons...

2021-03-11T02:23:04.975 INFO:tasks.cephadm.mon.a:Stopping mon.a...

2021-03-11T02:23:04.975 DEBUG:teuthology.orchestra.run.smithi019:> sudo systemctl stop ceph-4ed202

44-8210-11eb-9080-001a4aab830c@mon.a

2021-03-11T02:23:05.731 INFO:journalctl@ceph.mon.a.smithi019.stdout:Mar 11 02:23:05 smithi019 podm

an[28354]: ceph-4ed20244-8210-11eb-9080-001a4aab830c-mon.a

2021-03-11T02:23:06.038 DEBUG:teuthology.orchestra.run.smithi019:> sudo pkill -f 'journalctl -f -n

 0 -u ceph-4ed20244-8210-11eb-9080-001a4aab830c@mon.a.service'

2021-03-11T02:23:06.154 DEBUG:teuthology.orchestra.run:got remote process result: None

2021-03-11T02:23:06.154 INFO:tasks.cephadm.mon.a:Stopped mon.a

2021-03-11T02:23:06.155 INFO:tasks.cephadm.mgr.a:Stopping mgr.a...

2021-03-11T02:23:06.155 DEBUG:teuthology.orchestra.run.smithi019:> sudo systemctl stop ceph-4ed202

44-8210-11eb-9080-001a4aab830c@mgr.a

2021-03-11T02:23:07.294 DEBUG:teuthology.orchestra.run.smithi019:> sudo pkill -f 'journalctl -f -n

 0 -u ceph-4ed20244-8210-11eb-9080-001a4aab830c@mgr.a.service'

2021-03-11T02:23:07.396 DEBUG:teuthology.orchestra.run:got remote process result: None

2021-03-11T02:23:07.397 INFO:tasks.cephadm.mgr.a:Stopped mgr.a

2021-03-11T02:23:07.397 DEBUG:teuthology.orchestra.run.smithi019:> sudo rm -f /etc/ceph/ceph.conf 

/etc/ceph/ceph.client.admin.keyring

2021-03-11T02:23:07.410 DEBUG:teuthology.orchestra.run.smithi155:> sudo rm -f /etc/ceph/ceph.conf 

/etc/ceph/ceph.client.admin.keyring

2021-03-11T02:23:07.427 ERROR:teuthology.contextutil:Saw exception from nested tasks

Traceback (most recent call last):

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_b6eecfe89a4363750d696160843a096384b357a8

/teuthology/contextutil.py", line 31, in nested

    vars.append(enter())

  File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__

    return next(self.gen)
  File "/home/teuthworker/src/github.com_liewegas_ceph_1073261e44318a8defeeea181af2bd82af2ac71d/qa

/tasks/cephadm.py", line 452, in ceph_bootstrap

    stdout=StringIO())

  File "/home/teuthworker/src/github.com_liewegas_ceph_1073261e44318a8defeeea181af2bd82af2ac71d/qa

/tasks/cephadm.py", line 45, in _shell

    **kwargs

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_b6eecfe89a4363750d696160843a096384b357a8

/teuthology/orchestra/remote.py", line 215, in run

    r = self._runner(client=self.ssh, name=self.shortname, **kwargs)

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_b6eecfe89a4363750d696160843a096384b357a8

/teuthology/orchestra/run.py", line 455, in run

    r.wait()

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_b6eecfe89a4363750d696160843a096384b357a8

/teuthology/orchestra/run.py", line 161, in wait

    self._raise_for_status()

  File "/home/teuthworker/src/git.ceph.com_git_teuthology_b6eecfe89a4363750d696160843a096384b357a8

/teuthology/orchestra/run.py", line 183, in _raise_for_status

    node=self.hostname, label=self.label

teuthology.exceptions.CommandFailedError: Command failed on smithi155 with status 126: 'sudo /home

/ubuntu/cephtest/cephadm --image quay.ceph.io/ceph-ci/ceph:409dc4b843da18e60e08a06ad16195db022fb22

7 shell -c /etc/ceph/ceph.conf -k /etc/ceph/ceph.client.admin.keyring --fsid 4ed20244-8210-11eb-90

80-001a4aab830c -- ceph orch host ls --format=json'

 

https://pulpito.ceph.com/sage-2021-03-11_01:59:56-rados:cephadm-wip-sage-testing-2021-03-10-1754-distro-basic-smithi/5954943/

Related issues:

Related to Orchestrator - Bug #49633: podman: ERROR (catatonit:2): failed to ... Can't reproduce

Related to Orchestrator - Bug #49739: `ceph` not found in $PATH: No such file... Can't reproduce

History

#1 - 03/11/2021 02:46 PM - Sebastian Wagner

- Related to Bug #49633: podman: ERROR (catatonit:2): failed to exec pid1: No such file or directory added

#2 - 03/11/2021 02:46 PM - Sebastian Wagner

- Related to Bug #49739: `ceph` not found in $PATH: No such file or directory: OCI not found added

#3 - 03/11/2021 02:54 PM - Sebastian Wagner

- Description updated

#4 - 03/11/2021 03:19 PM - Sebastian Wagner

no help from google this time: https://www.google.com/search?q=podman+%22Unable+to+find+group+disk%22

#5 - 06/08/2021 10:35 AM - Sebastian Wagner

- Category set to cephadm

#6 - 04/11/2022 11:35 AM - Redouane Kachach Elhichou

- Priority changed from Normal to Low

#7 - 05/23/2022 12:36 PM - Redouane Kachach Elhichou

- Status changed from New to Rejected

This issue has been seen only once and there's no evidence that's is reproducible in more scenarios/setups. Feel free to reopen if you are able to

reproduce it or have observed it in your testing.
